Package be.e_contract.ejsf.component.countdown

# Class CountdownComponent

java.lang.Object
javax.faces.component.UIComponent
javax.faces.component.UIComponentBase
javax.faces.component.UINamingContainer
be.e_contract.ejsf.component.countdown.CountdownComponent

All Implemented Interfaces:
  `EventListener`, `javax.faces.component.NamingContainer`, `javax.faces.component.PartialStateHolder`, `javax.faces.component.StateHolder`, `javax.faces.component.TransientStateHolder`, `javax.faces.component.UniqueIdVendor`, `javax.faces.event.ComponentSystemEventListener`, `javax.faces.event.FacesListener`, `javax.faces.event.SystemEventListenerHolder`, `org.primefaces.component.api.Widget`

public class CountdownComponent extends javax.faces.component.UINamingContainer implements org.primefaces.component.api.Widget

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPONENT_FAMILY`
`static final String`
`COMPONENT_TYPE`

### Fields inherited from class javax.faces.component.UINamingContainer

`SEPARATOR_CHAR_PARAM_NAME`

### Fields inherited from class javax.faces.component.UIComponent

`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

### Fields inherited from interface javax.faces.component.NamingContainer

`SEPARATOR_CHAR`

### Fields inherited from interface org.primefaces.component.api.Widget

`ATTR_WIDGET_VAR_PATTERN, CALLBACK_POST_CONSTRUCT, CALLBACK_POST_REFRESH, CALLBACK_PRE_DESTROY`

## Constructor Summary

Constructors
Constructor
Description
`CountdownComponent()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClockSyncWidgetVar()`
`String`
`getFamily()`
`String`
`getWidgetVar()`
`boolean`
`isUseHeartbeatTimer()`
`void`
`processEvent(javax.faces.event.ComponentSystemEvent event)`
`void`
`setClockSyncWidgetVar(String clockSyncWidgetVar)`
`void`
`setUseHeartbeatTimer(boolean useHeartbeatTimer)`
`void`
`setWidgetVar(String widgetVar)`

### Methods inherited from class javax.faces.component.UINamingContainer

`createUniqueId, getSeparatorChar, visitTree`

### Methods inherited from class javax.faces.component.UIComponentBase

`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

### Methods inherited from class javax.faces.component.UIComponent

`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.faces.component.StateHolder

`isTransient, restoreState, saveState, setTransient`

### Methods inherited from interface org.primefaces.component.api.Widget

`resolveWidgetVar, resolveWidgetVar`

## Field Details

### COMPONENT_TYPE

public static final String COMPONENT_TYPE

See Also:
  - Constant Field Values

### COMPONENT_FAMILY

public static final String COMPONENT_FAMILY

See Also:
  - Constant Field Values

## Constructor Details

### CountdownComponent

public CountdownComponent()

## Method Details

### getWidgetVar

public String getWidgetVar()

### setWidgetVar

public void setWidgetVar(String widgetVar)

### getClockSyncWidgetVar

public String getClockSyncWidgetVar()

### setClockSyncWidgetVar

public void setClockSyncWidgetVar(String clockSyncWidgetVar)

### isUseHeartbeatTimer

public boolean isUseHeartbeatTimer()

### setUseHeartbeatTimer

public void setUseHeartbeatTimer(boolean useHeartbeatTimer)

### getFamily

public String getFamily()

Overrides:
  `getFamily` in class `javax.faces.component.UINamingContainer`

### processEvent

public void processEvent(javax.faces.event.ComponentSystemEvent event) throws javax.faces.event.AbortProcessingException

Specified by:
  `processEvent` in interface `javax.faces.event.ComponentSystemEventListener`
Overrides:
  `processEvent` in class `javax.faces.component.UIComponent`
Throws:
  `javax.faces.event.AbortProcessingException`